Package org.h2gis.functions.io.osm

# Class WayOSMElement

java.lang.Object
org.h2gis.functions.io.osm.OSMElement
org.h2gis.functions.io.osm.WayOSMElement

public class WayOSMElement extends OSMElement
A class to manage the way element properties.

Author:
  Erwan Bocher

## Constructor Summary

Constructors
Constructor
Description
`WayOSMElement()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addRef(String ref)`
Add in a list the ref of the node used to describe the way.
`List<Long>`
`getNodesRef()`
Return the list of nodes

### Methods inherited from class org.h2gis.functions.io.osm.OSMElement

`addTag, getChangeSet, getID, getName, getTags, getTimeStamp, getUID, getUser, getVersion, getVisible, setChangeset, setId, setName, setTimestamp, setUid, setUser, setVersion, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WayOSMElement

public WayOSMElement()

## Method Details

### addRef

public void addRef(String ref)
Add in a list the ref of the node used to describe the way.

Parameters:
  `ref` -

### getNodesRef

public List<Long> getNodesRef()
Return the list of nodes

Returns: